###################################################
### chunk number 1: a1
###################################################
#line 427 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
library(dr)
opt <- options(width=66)


###################################################
### chunk number 2: a11
###################################################
#line 431 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
data(ais)
summary(s0 <- dr(LBM~log(SSF)+log(Wt)+log(Hg)+log(Ht)+log(WCC)+log(RCC)+
  log(Hc)+log(Ferr),data=ais,slice.function=dr.slices.arc,nslices=8,
  chi2approx="wood",numdir=4,method="sir"))


###################################################
### chunk number 3: a2
###################################################
#line 501 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
dr.coordinate.test(s0,hypothesis=~.-log(RCC))


###################################################
### chunk number 4: a2
###################################################
#line 527 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
dr.coordinate.test(s0,hypothesis=~.-log(RCC),d=2)


###################################################
### chunk number 5: a2
###################################################
#line 538 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
m0 <- drop1(s0,update=TRUE)


###################################################
### chunk number 6: 
###################################################
#line 565 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
s1a <- dr.step(s0,scope=~log(Wt),stop=0.20)


###################################################
### chunk number 7: 
###################################################
#line 601 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
summary(s1 <- update(s0, group=~Sex))


###################################################
### chunk number 8: a2
###################################################
#line 686 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
s2 <- update(s0,method="save")
summary(s2)


###################################################
### chunk number 9: save
###################################################
#line 703 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
drop1(s1,update=FALSE)


###################################################
### chunk number 10: 
###################################################
#line 708 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
summary(s3 <- update(s2,group=~Sex))


###################################################
### chunk number 11: 
###################################################
#line 747 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
summary(s2 <- update(s0,method="phdres"))


###################################################
### chunk number 12: one
###################################################
#line 928 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
(m1 <- dr(LBM~log(Ht)+log(Wt)+log(SSF)+log(RCC)+log(WCC)+log(Ferr)+
           log(Hc)+log(Hg),data=ais,method="ire",nslices=8,numdir=4,
           slice.function=dr.slices.arc,itmax=200,steps=1,eps=1.e-6))


###################################################
### chunk number 13: two
###################################################
#line 959 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
dr.basis(m1,numdir=2)


###################################################
### chunk number 14: three
###################################################
#line 964 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
dr.basis(m1,3)


###################################################
### chunk number 15: mct
###################################################
#line 981 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
dr.coordinate.test(m1,~.-log(Hg))
dr.coordinate.test(m1,~.-log(Hg),d=2)


###################################################
### chunk number 16: drop1
###################################################
#line 995 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
drop1(m1,update=FALSE)


###################################################
### chunk number 17: pire
###################################################
#line 1012 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
m2 <- dr(LBM~log(Ht)+log(Wt)+log(SSF)+log(RCC)+log(WCC)+log(Ferr)+
           log(Hc)+log(Hg),group=~Sex,data=ais,method="ire",nslices=8,
           numdir=4,slice.function=dr.slices.arc,itmax=200,steps=1,
           eps=1.e-6)


###################################################
### chunk number 18: pire1
###################################################
#line 1021 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
m2


###################################################
### chunk number 19: 
###################################################
#line 1104 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
wts <- dr.weights(LBM~Ht+Wt+RCC+WCC,data=ais)
i1 <- dr(LBM~Ht+Wt+RCC+WCC,weights=wts,method="phdres",data=ais)


###################################################
### chunk number 20: 
###################################################
#line 1115 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
y1 <- c(1,1,1,2,3,4,5,6,7,8,8,8)
dr.slices(y1,3)


###################################################
### chunk number 21: 
###################################################
#line 1130 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
y2 <- c(1,2,3,4,1,2,3,4,1,2,3,4)
dr.slices(cbind(y1,y2),5)


###################################################
### chunk number 22: 
###################################################
#line 1147 "d:/Rcompile/CRANpkg/local/2.12/dr/inst/doc/overview.Rnw"
dr.permutation.test(s0,npermute=99,numdir=4)


